Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.877522
Category:Fedora Local Security Checks
Title:Fedora: Security Advisory for python-waitress (FEDORA-2020-bdcc8ffc24)
Summary:The remote host is missing an update for the 'python-waitress'; package(s) announced via the FEDORA-2020-bdcc8ffc24 advisory.
Description:Summary:
The remote host is missing an update for the 'python-waitress'
package(s) announced via the FEDORA-2020-bdcc8ffc24 advisory.

Vulnerability Insight:
Waitress is meant to be a production-quality pure-Python WSGI server with
very acceptable performance. It has no dependencies except ones which live
in the Python standard library. It runs on CPython on Unix and Windows under
Python 2.6+ and Python 3.3+. It is also known to run on PyPy 1.6.0+ on UNIX.
It supports HTTP/1.0 and HTTP/1.1.

Affected Software/OS:
'python-waitress' package(s) on Fedora 30.

Solution:
Please install the updated package(s).

CVSS Score:
6.4

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2019-16786
Common Vulnerability Exposure (CVE) ID: CVE-2019-16785
Common Vulnerability Exposure (CVE) ID: CVE-2019-16789
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.